/*
 * Split.h
 * Creation date: 26 Oct 1994
 *
 */

typedef struct List VolumeList;

#define MAXVOLNAME 12
#define MAXDEVNAME 4
#define MAXDOSTYPENAME 10
#define MAXSIZEBYTES 10

#define VOLUMENODENAMELEN MAXVOLNAME+MAXDEVNAME+MAXDOSTYPENAME+MAXSIZEBYTES+3
struct volumeInfo {
	struct Node volumeNode;
	char *volumeName;
	char *deviceName;
	char *dosType;
	LONG freeSpace;
	LONG freeBlocks;
	LONG bytesPerBlock;
	LONG diskType;
	};

#define EVT_POPKEY	1L

#define DOSLIST_GDG   1
#define CHUNK_GDG     2
#define CHUNKNMB_GDG  3
#define CHUNKNAM1_GDG 4
#define CHUNKNAM2_GDG 5
#define CHUNKSIZE_GDG 6
#define CHUNKOFFS_GDG 7
#define FILENAM1_GDG  8
#define FILENAM2_GDG  9
#define FILESIZE_GDG  10
#define ACTION_GDG    11
#define STATUS_GDG    12
#define WRITE_GDG     13
#define HIDE_GDG      14
#define QUIT_GDG      15

#define STATUS_IDLE      0
#define STATUS_SPLITTING 1
#define STATUS_READING   2
#define STATUS_WRITING   3

struct Header
	{
	ULONG h_Identifier;      /* "SPL0" */
	char  h_FileName[32];
	ULONG h_FileSize;
	ULONG h_ChunkStart;
	ULONG h_ChunkEnd;
	};

#define TRANSFER_SIZE 65536
